Package org.codehaus.groovy.runtime.m12n

# Class MetaInfExtensionModule

java.lang.Object
org.codehaus.groovy.runtime.m12n.ExtensionModule
org.codehaus.groovy.runtime.m12n.SimpleExtensionModule
org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule

public class MetaInfExtensionModule extends SimpleExtensionModule
A `SimpleExtensionModule` implementation which reads extension classes metadata from META-INF.

Since:
  2.0.0
Author:
  Cedric Champeau

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MODULE_INSTANCE_CLASSES_KEY`
`static final String`
`MODULE_STATIC_CLASSES_KEY`

## Method Summary

Modifier and Type
Method
Description
`List<Class>`
`getInstanceMethodsExtensionClasses()`
`List<Class>`
`getStaticMethodsExtensionClasses()`
`static MetaInfExtensionModule`
`newModule(Properties properties, ClassLoader loader)`

### Methods inherited from class org.codehaus.groovy.runtime.m12n.SimpleExtensionModule

`getMetaMethods`

### Methods inherited from class org.codehaus.groovy.runtime.m12n.ExtensionModule

`getName, getVersion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MODULE_INSTANCE_CLASSES_KEY

public static final String MODULE_INSTANCE_CLASSES_KEY

See Also:
  - Constant Field Values

### MODULE_STATIC_CLASSES_KEY

public static final String MODULE_STATIC_CLASSES_KEY

See Also:
  - Constant Field Values

## Method Details

### getInstanceMethodsExtensionClasses

public List<Class> getInstanceMethodsExtensionClasses()

Specified by:
  `getInstanceMethodsExtensionClasses` in class `SimpleExtensionModule`
Returns:
  the list of classes defining new instance methods.

### getStaticMethodsExtensionClasses

public List<Class> getStaticMethodsExtensionClasses()

Specified by:
  `getStaticMethodsExtensionClasses` in class `SimpleExtensionModule`
Returns:
  the list of classes defining new static methods.

### newModule

public static MetaInfExtensionModule newModule(Properties properties, ClassLoader loader)